Xerces-J API: Class AbstractNumericValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class AbstractNumericValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--org.apache.xerces.validators.datatype.AbstractNumericValidator

Direct Known Subclasses:
  DecimalDatatypeValidator, DoubleDatatypeValidator, FloatDatatypeValidator

public abstract class AbstractNumericValidator
extends AbstractNumericFacetValidator

AbstractNumericValidator is a base class of decimal, double, and float schema datatypes

Version:
  $Id: AbstractNumericValidator.java,v 1.1 2001/04/25 20:41:52 elena Exp $
Author:
  Elena Litani

Fields inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`AbstractNumericValidator()`
`AbstractNumericValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `boundsCheck(java.lang.Object d)`
`protected abstract void` | `checkContent(java.lang.String content, java.lang.Object State, java.util.Vector enum, boolean asBase)`
`protected void` | `checkContentEnum(java.lang.String content, java.lang.Object state, java.util.Vector enumeration)` validate if the content is valid against base datatype and facets (if any) this function might be called directly from UnionDatatype or ListDatatype
`java.lang.Object` | `clone()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Validate string against lexical space of datatype

Methods inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`assignAdditionalFacets, checkBaseFacetConstraints, checkFacetConstraints, compareValues, getMaxExclusive, getMaxInclusive, getMinExclusive, getMinInclusive, inheritAdditionalFacets, initializeValues, setEnumeration, setMaxExclusive, setMaxInclusive, setMinExclusive, setMinInclusive`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNumericValidator

    public AbstractNumericValidator()
                             throws InvalidDatatypeFacetException

### AbstractNumericValidator

    public AbstractNumericValidator(DatatypeValidator base,
                                    java.util.Hashtable facets,
                                    boolean derivedByList)
                             throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Validate string against lexical space of datatype
  Overrides:
    validate in class AbstractDatatypeValidator
  Parameters:
    `content` - A string containing the content to be validated
    `state` -
  Returns:
  Throws:
    throws - InvalidDatatypeException if the content is is not a W3C decimal type
    InvalidDatatypeValueException -

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    clone in class AbstractDatatypeValidator

### checkContentEnum

    protected void checkContentEnum(java.lang.String content,
                                    java.lang.Object state,
                                    java.util.Vector enumeration)
                             throws InvalidDatatypeValueException

  validate if the content is valid against base datatype and facets (if any) this function might be called directly from UnionDatatype or ListDatatype
  Parameters:
    `content` - A string containing the content to be validated
    `enumeration` - A vector with enumeration strings
  Throws:
    throws - InvalidDatatypeException if the content is is not a W3C decimal type;
    throws - InvalidDatatypeFacetException if enumeration is not BigDecimal

### checkContent

    protected abstract void checkContent(java.lang.String content,
                                         java.lang.Object State,
                                         java.util.Vector enum,
                                         boolean asBase)
                                  throws InvalidDatatypeValueException

### boundsCheck

    protected void boundsCheck(java.lang.Object d)
                        throws InvalidDatatypeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.